{% extends 'site.html' %}
{% load crispy_forms_tags %}

{% block title %}Dashboard{% endblock %}

{% block content %}

<div class="container mt-4">
    <div class="row ">
        <div class="col-4">
            {% if request.user.is_staff %}
            <form action='{% url "search" %}' method="get" class="py-2">
                <div class="form-group">
                    <label for="username">Имя пользователя</label>
                    <input type="text" class="form-control" id="username" name="username">
                </div>
                <button class="btn btn-secondary" type="submit">Поиск</button>
            </form>
            {% endif %}
            <form action='{% url "trainer_search" %}' method="GET" class="py-2">
                {% csrf_token %}
                {{ form_search|crispy }}

                <button class="btn btn-secondary" type="submit">Поиск</button>
            </form>
        </div>
    </div>
</div>


<div class="container mt-5">
    <div class="row row-cols-1 row-cols-md-2">

        {% for issue in page_obj %}
        <div class="col mb-4">
            <div class="card h-100">
                <div class="card-body">


                    <div class="card-title d-flex justify-content-between">
                        <h5><span>{{ issue.title }} </span></h5>
                        {% if request.user.is_staff %}
                        От: {{ issue.author }}
                        {% endif %}
                        {% if issue.trainer %}
                        <span> Тренер: {{issue.trainer}}</span>
                        {% else %}
                        <span> Tренер: все </span>

                        {% endif %}
                    </div>
                    <p class="card-text">{{ issue.text|truncatewords:20 }}</p>
                </div>
                <div class="card-footer d-flex justify-content-between">
                    <span>{{ issue.get_status_display }}</span>
                    <span>{{ issue.date_time }}</span>
                </div>
                <div class="card-footer">
                    <a href="{% url 'issue' issue.pk %}" class="btn btn-primary btn-block">Открыть</a>
                </div>
            </div>

        </div>
        {% empty %}
        <h4 class="text-muted ">Нет проблем</h4>
        {% endfor %}
    </div>
</div>

{% endblock %}